## ktp-common-internals 0.3.1

=== debian/changelog ===
ktp-common-internals (0.3.1-0ubuntu1) precise; urgency=low

  * new upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Apr 2012 11:34:05 +0100

ktp-common-internals (0.3.0-0ubuntu2) precise; urgency=low

  * debian/rules:
    - Use "-V" with dh_makeshlibs to tighten rdepends

 -- Michael Terry <mterry@ubuntu.com>  Thu, 16 Feb 2012 15:16:45 -0500

ktp-common-internals (0.3.0-0ubuntu1) precise; urgency=low

  * Initial release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 02 Feb 2012 14:07:20 +0100
