=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --with kde --dbg-package=libktpcommoninternalsprivate-dbg --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -V
