## ktp-common-internals 0.5.1

=== debian/changelog ===
ktp-common-internals (0.5.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 05 Oct 2012 03:36:57 +0530

ktp-common-internals (0.5.0-0ubuntu2) quantal; urgency=low

  * Set the minimum telepathy-qt dep to 0.9.2.1
  * Update the description of ktp-debugger

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 31 Aug 2012 23:41:34 +0530

ktp-common-internals (0.5.0-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Update install files
    - libktpcommoninternalsprivate3 now Breaks/Replaces
      libktpcommoninternalsprivate1
    - New binary : ktp-debugger for debugging various issues

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 26 Aug 2012 12:43:09 +0530

ktp-common-internals (0.4.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Michal Zajac <quintasan@kubuntu.org>  Mon, 30 Jul 2012 23:49:18 +0200
