=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: ktp-common-internals
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
-Build-Depends: debhelper (>= 9), cmake, libtelepathy-qt4-dev (>= 0.9.0), pkg-kde-tools, kdelibs5-dev
+Build-Depends: debhelper (>= 9), cmake, libtelepathy-qt4-dev (>= 0.9.2.1), pkg-kde-tools, kdelibs5-dev
 Standards-Version: 3.9.3
 Section: libs
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
@@ -12,7 +13,7 @@
 Package: libktpcommoninternalsprivate-dev
 Section: libdevel
 Architecture: any
-Depends: libktpcommoninternalsprivate1 (= ${binary:Version}), ${misc:Depends}
+Depends: libktpcommoninternalsprivate3 (= ${binary:Version}), ${misc:Depends}
 Description: KDE Telepathy internal library - Development headers
  Internal library which consits of the most reused
  parts across KDE Telepathy.
@@ -24,9 +25,11 @@
  outside of the KDE Telepathy project umbrella. This package
  is only provided for compiling the rest of the components.
 
-Package: libktpcommoninternalsprivate1
+Package: libktpcommoninternalsprivate3
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: libktpcommoninternalsprivate1
+Breaks: libktpcommoninternalsprivate1
 Description: KDE Telepathy internal library
  Internal library which consits of the most reused
  parts across KDE Telepathy.
@@ -42,9 +45,17 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libktpcommoninternalsprivate1 (= ${binary:Version}), ${misc:Depends}
+Depends: libktpcommoninternalsprivate3 (= ${binary:Version}), ${misc:Depends}
 Description: KDE Telepathy internal library - debug symbols
  Internal library which consits of the most reused
  parts across KDE Telepathy.
  .
  This package contains debugging symbols for the ktp-common-internals library.
+
+Package: kde-telepathy-debugger
+Architecture: any
+Priority: extra
+Depends: ${shlibs:Depends}, ${misc:Depends} 
+Description: Debugging tool for KDE Telepathy
+ This package contains a GUI debugging tool which can be used to debug
+ issues in Telepathy.
