## ktp-common-internals 0.6.1dfsg1

=== debian/changelog ===
ktp-common-internals (0.6.1dfsg1-0ubuntu1) raring; urgency=low

  * Remove Skype icons LP: #1163504

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 24 Apr 2013 17:37:29 +0100

ktp-common-internals (0.6.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Apr 2013 10:31:01 +0100

ktp-common-internals (0.6.0-0ubuntu1) raring; urgency=low

  * New upstream release
    - Update install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Apr 2013 11:14:12 +0100

ktp-common-internals (0.5.80-0ubuntu1) raring; urgency=low

  * New upstream release
    - Update install files
    - libktpcommoninternalsprivate3 -> libktpcommoninternalsprivate5
    - Add set_cmp_policy.patch to make everything build

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 07 Mar 2013 14:14:08 +0000

ktp-common-internals (0.5.3-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 18 Feb 2013 16:23:39 +0530
