=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
-Build-Depends: debhelper (>= 9), cmake, libtelepathy-qt4-dev (>= 0.9.2.1), pkg-kde-tools, kdelibs5-dev
+Build-Depends: debhelper (>= 9), cmake, libtelepathy-qt4-dev (>= 0.9.2.1), pkg-kde-tools, kdelibs5-dev,
+ libtelepathy-logger-qt4-dev (>= 0.6.0), libtelepathy-logger-dev
 Standards-Version: 3.9.3
 Section: libs
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
@@ -13,7 +14,7 @@
 Package: libktpcommoninternalsprivate-dev
 Section: libdevel
 Architecture: any
-Depends: libktpcommoninternalsprivate3 (= ${binary:Version}), ${misc:Depends}
+Depends: libktpcommoninternalsprivate5 (= ${binary:Version}), ${misc:Depends}
 Description: KDE Telepathy internal library - Development headers
  Internal library which consits of the most reused
  parts across KDE Telepathy.
@@ -25,7 +26,7 @@
  outside of the KDE Telepathy project umbrella. This package
  is only provided for compiling the rest of the components.
 
-Package: libktpcommoninternalsprivate3
+Package: libktpcommoninternalsprivate5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libktpcommoninternalsprivate1
@@ -45,7 +46,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libktpcommoninternalsprivate3 (= ${binary:Version}), ${misc:Depends}
+Depends: libktpcommoninternalsprivate5 (= ${binary:Version}), ${misc:Depends}
 Description: KDE Telepathy internal library - debug symbols
  Internal library which consits of the most reused
  parts across KDE Telepathy.
