## ktp-common-internals 0.6.3

=== debian/changelog ===
ktp-common-internals (0.6.3-0ubuntu0.1) raring; urgency=low

  * No-change backport to raring

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 08 Aug 2013 09:23:33 +0530

ktp-common-internals (0.6.3-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release (LP: #1208837) 

  [ Rohan Garg ]
  * Drop set_cmp_policy.patch, applied upstream 
  * Drop random cdbs files

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 06 Aug 2013 21:12:46 +0800

ktp-common-internals (0.6.2-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 21 Jun 2013 11:11:38 +0200
