=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
 Build-Depends: debhelper (>= 9), cmake, libtelepathy-qt4-dev (>= 0.9.2.1), pkg-kde-tools, kdelibs5-dev,
  libtelepathy-logger-qt4-dev (>= 0.6.0), libtelepathy-logger-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: libs
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-common-internals.git
