=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde --dbg-package=libktpcommoninternalsprivate-dbg --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -V
