## ktp-common-internals 0.8.0

=== debian/changelog ===
ktp-common-internals (0.8.0-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 01 Apr 2014 12:59:21 +0200

ktp-common-internals (0.7.80-0ubuntu2) trusty; urgency=medium

  * Bump KPeople requirement

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Feb 2014 17:22:20 +0100

ktp-common-internals (0.7.80-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Feb 2014 00:12:31 +0100

ktp-common-internals (0.7.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 29 Jan 2014 19:44:32 +0100

ktp-common-internals (0.7.0-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Release packaging from debian experimental git

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Oct 2013 18:03:20 +0100

ktp-common-internals (0.6.80-1) UNRELEASED; urgency=low

  * Imported upstream 0.6.80
  * Ship new libraries libktploggerprivate.
  * Ship plugins imdetailswidgetplugin, im_persons_data_source_plugin,
    ktploggerplugin, ktp_kpeople_plugin, nepomuktelepathyservice
  * Bump libktpcommoninternalsprivate SONAME to 6
  * Add desktop and service files for new plugins

 -- Diane Trout <diane@ghic.org>  Tue, 24 Sep 2013 21:26:49 -0700

ktp-common-internals (0.6.3-1fakesync1ubuntu1) saucy; urgency=low

  * kde-telepathy-declarative replaces/breaks libktpcommoninternalsprivate5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 21 Aug 2013 15:56:17 +0100

ktp-common-internals (0.6.3-1fakesync1) saucy-proposed; urgency=low

  * Fake sync due to mismatching orig tarball (LP: #1212826).

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 21 Aug 2013 12:49:46 +0200

ktp-common-internals (0.6.3-1) unstable; urgency=low

  * Imported Upstream version 0.6.3
  * Drop marginally useful libktpcommoninternalsprivate5.symbols
    - Fixes "FTBFS: symbols differ from expectations" (Closes: #719048)

 -- Mark Purcell <msp@debian.org>  Sat, 10 Aug 2013 09:19:39 +1000

ktp-common-internals (0.6.2-1) unstable; urgency=low

  [ Diane Trout ]
  * Imported Upstream version 0.6.2
  * Set Uploaders to Diane Trout and Michał Zając
  * Add kde-telepathy-debugger package (Thanks: Ubuntu)
  * Update libktpcommoninteralsprivate soversion to 5
  * Build kde-telepathy-declarative package for QML components
  * Require libtelepathy-qt4 >= 0.9.3
  * Require libtelepathy-logger-qt4-dev >= 0.6.0
  * Updated to Standards-Version 3.9.4. No changes needed.
  * Add symbols file for libktpcommoninternalsprivate5
  * Remove dh_makeshlibs debian/rules target.
  * Update watch file as KDE-Telepathy is now in KDE stable.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Improve a little kde-telepathy-data's long description.

  [ Mark Purcell ]
  * Add myself to Uploaders

 -- Mark Purcell <msp@debian.org>  Sat, 03 Aug 2013 13:49:22 +1000
