=== KTp/Logger/plugins/CMakeLists.txt ===
if (TELEPATHY_LOGGER_QT4_FOUND)
    add_subdirectory(tplogger)
endif(TELEPATHY_LOGGER_QT4_FOUND)
