=== debian/changelog ===
ktp-common-internals (0.8.1-0ubuntu0.1) trusty; urgency=medium

  * No change backport to trusty (LP: #1313611)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 19:32:56 +0200

ktp-common-internals (0.8.1-0ubuntu1) utopic; urgency=medium

  * New upstream release (LP: #1313611)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 15:35:35 +0200
