=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kdelibs5-dev,
-               libkpeople-dev (>= 0.2.0),
+               libkpeople-dev (>= 0.2.1),
                libtelepathy-logger-dev,
                libtelepathy-logger-qt4-dev (>= 0.6.0),
                libtelepathy-qt4-dev (>= 0.9.3),
