## ktp-common-internals 0.9.0

=== debian/changelog ===
ktp-common-internals (0.9.0-0ubuntu3) vivid; urgency=medium

  * kde-telepathy-kpeople breaks/replaces old kde-telepathy-data

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Nov 2014 12:27:52 +0100

ktp-common-internals (0.9.0-0ubuntu2) vivid; urgency=medium

  * Make -dev package depend on libktpotrprivate8

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 03 Nov 2014 16:10:47 +0100

ktp-common-internals (0.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Oct 2014 13:14:01 +0100

ktp-common-internals (0.8.80-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Update libktpcommoninternalsprivate7 SONAME to 8
    - libktploggerprivate7 -> libktploggerprivate8
    - libktpmodelsprivate7 -> libktpmodelsprivate8
    - libktpwidgetsprivate7 -> libktpwidgetsprivate8
  * Bump libtelepathy-qt4-dev build-depends to 0.9.5
  * Remove shared-desktop-ontolgies build-dep
  * Bump libkpeople build-dep to 0.3.0
  * Update kde-telepathy-kpeople description.
  * Make kde-telepathy-kpeople a dependency.
  * Add libotr5-dev and libgcrypt11-dev build-dep to enable OTR support.
  * Add kpeople_chat_plugin.so and associated desktop file to 
    kde-telepathy-kpeople package.
  * Update copyright file.
  * Fix typo thanks Filipus Klutiero (Closes: #759756)

 -- Diane Trout <diane@ghic.org>  Tue, 16 Sep 2014 22:03:11 -0700

ktp-common-internals (0.8.1-2) unstable; urgency=medium

  * Fix typo in copyright file.

 -- Diane Trout <diane@ghic.org>  Mon, 19 May 2014 11:25:06 -0700

ktp-common-internals (0.8.1-1) unstable; urgency=low

  * Imported upstream 0.8.1
  * Bump libktpcommoninternalsprivate6 SONAME to 7
  * Update share library symlinks to match package version.
  * Bump libtelepathy-logger-qt4-dev dependency to >= 0.8.0
  * Set libkpeople-dev build dependency to >= 0.2.2
  * Bump Standards-Version to 3.9.5. No changes needed.
  * Enable kpeople
  * Split libraries from common-internals into additional packages.
  * Add symbols files.
  * Fix description typo (Closes: #745313, #745314)
  * Update debian/copyright

 -- Diane Trout <diane@ghic.org>  Sun, 18 May 2014 21:28:24 -0700

ktp-common-internals (0.7.0-1) unstable; urgency=low

  * Imported upstream 0.7.0
  * Ship new libraries libktploggerprivate.
  * Ship plugins imdetailswidgetplugin, im_persons_data_source_plugin,
    ktploggerplugin, ktp_kpeople_plugin, nepomuktelepathyservice
  * Bump libktpcommoninternalsprivate SONAME to 6
  * Add desktop and service files for new plugins
  * Split kpeople nepomuk support into a separate package.
    KPeople is currently disabled as recommended by upstream.

 -- Diane Trout <diane@ghic.org>  Tue, 05 Nov 2013 09:54:57 -0800
