=== debian/control ===
Source: ktp-common-internals
Priority: optional
Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9), cmake,
 libtelepathy-qt4-dev (>= 0.9.5),
 libtelepathy-logger-qt4-dev (>= 0.8.0),
 libtelepathy-logger-dev,
 pkg-kde-tools,
 kdelibs5-dev,
 libkpeople-dev (>= 0.3.0),
 kdepimlibs5-dev,
 libotr5-dev,
 libgcrypt11-dev,
Standards-Version: 3.9.5
Section: libs
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-common-internals.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-common-internals.git

Package: libktpcommoninternalsprivate-dev
Section: libdevel
Architecture: any
Depends: libktpcommoninternalsprivate8 (= ${binary:Version}),
 libktpwidgetsprivate8 (= ${binary:Version}),
 libktploggerprivate8 (= ${binary:Version}),
 libktpotrprivate8 (= ${binary:Version}),
 ${misc:Depends}
Description: KDE Telepathy internal library - Development headers
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This package contains development headers for
 the ktp-common-internals library.
 .
 You should not use this library for developing applications
 outside of the KDE Telepathy project umbrella. This package
 is only provided for compiling the rest of the components.

Package: libktpcommoninternalsprivate8
Replaces: libktpcommoninternalsprivate6 (<< 0.7.80)
Breaks: libktpcommoninternalsprivate6 (<< 0.7.80)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkpeople4 (>= 0.3.0),
 libtelepathy-logger-qt4-1 (>= 0.8.0),
 kde-telepathy-kpeople
Description: KDE Telepathy common internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This contains the generic common components.

Package: libktpmodelsprivate8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE Telepathy data models internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes Qt models.

Package: libktpwidgetsprivate8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE Telepathy common internal widgets library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This also includes common widgets like the contact grid.

Package: libktploggerprivate8
Breaks: libktploggerprivate7 (<< 0.8.80~)
Replaces: libktploggerprivate7 (<< 0.8.80~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE Telepathy internal logger library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes the shared KDE-Telepathy logger service.

Package: libktpotrprivate8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE Telepathy internal OTR library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes components to support OTR

Package: kde-telepathy-declarative
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: kde-telepathy QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-Telepathy to components written
 in QML.

Package: kde-telepathy-data
Architecture: all
Depends: ${misc:Depends}
Description: Shared data for all the KDE Telepathy components
 KDE telepathy shared data.
 .
 This package contains various data files that are used by nearly all
 the different KDE Telepathy components.

Package: libktpcommoninternalsprivate-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libktpcommoninternalsprivate8 (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy internal library - debug symbols
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This package contains debugging symbols for the ktp-common-internals library.

Package: kde-telepathy-kpeople
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kde-telepathy-data (<< 0.9.0)
Replaces: kde-telepathy-data (<< 0.9.0)
Description: kpeople plugins for kde-telepathy
 This allows grouping multiple IM accounts into meta-contacts.
 .
 This contains plugins to work with libkpeople.

Package: kde-telepathy-debugger
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Debugging tool for KDE Telepathy
 This package contains a GUI debugging tool which can be used to debug
 issues in Telepathy.
 .
 It will show the debugging messages from the various telepathy
 components.
